Skip to main content
GET
/
agent-studio
/
public-api
/
agents
/
{agentId}
Get Agent by ID
curl --request GET \
  --url https://services.leadconnectorhq.com/agent-studio/public-api/agents/{agentId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "id": "agent_abc123",
  "locationId": "loc_abc123",
  "name": "Customer Support Bot",
  "description": "<string>",
  "status": "active",
  "type": "<string>",
  "config": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Path Parameters

agentId
string
required

The unique identifier for the agent

Query Parameters

locationId
string
required

Location ID (required)

Response

Agent retrieved successfully

id
string

Unique identifier for the agent

Example:

"agent_abc123"

locationId
string

Location ID

Example:

"loc_abc123"

name
string

Name of the agent

Example:

"Customer Support Bot"

description
string

Description of the agent

status
enum<string>

Agent status

Available options:
active,
inactive
type
string

Type of agent

config
object

Agent configuration settings

createdAt
string<date-time>

Creation timestamp

updatedAt
string<date-time>

Last update timestamp

Last modified on March 7, 2026